DocumentClusteringEngine (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.clustering.DocumentClusteringEngine class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.clustering
Class DocumentClusteringEngine

    java.lang.Object
      org.apache.solr.handler.clustering.ClusteringEngine
          org.apache.solr.handler.clustering.DocumentClusteringEngine

    public abstract class DocumentClusteringEngine

extends ClusteringEngine

Experimental. Subject to change before the next release.

Field Summary

Fields inherited from class org.apache.solr.handler.clustering.ClusteringEngine
`DEFAULT_ENGINE_NAME, ENGINE_NAME`

Constructor Summary
`DocumentClusteringEngine()`

Method Summary
`abstract NamedList` | `cluster(DocSet docs, SolrParams solrParams)` Experimental.
`abstract NamedList` | `cluster(SolrParams solrParams)` Experimental.

Methods inherited from class org.apache.solr.handler.clustering.ClusteringEngine
`getName, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentClusteringEngine

    public DocumentClusteringEngine()

Method Detail

### cluster

    public abstract NamedList cluster(SolrParams solrParams)

  Experimental. Subject to change before the next release Cluster all the documents in the index. Clustering is often an expensive task that can take a long time.

  Parameters:
    `solrParams` - The params controlling clustering
  Returns:
    The clustering results

### cluster

    public abstract NamedList cluster(DocSet docs,
                                      SolrParams solrParams)

  Experimental. Subject to change before the next release Cluster the set of docs. Clustering of documents is often an expensive task that can take a long time.

  Parameters:
    `docs` - The docs to cluster. If null, cluster all docs as in `cluster(org.apache.solr.common.params.SolrParams)`
    `solrParams` - The params controlling the clustering
  Returns:
    The results.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD